Mostrar Mensajes

Esta sección te permite ver todos los mensajes hechos por este usuario, recuerda que solo puedes ver los mensajes en áreas en donde tu tienes acceso.


Temas - faraya

Páginas: [1] 2 3 4
1
SIU-Kolla - Técnicos / Exportar usuarios Kolla a Arai-Usuarios
« on: Octubre 24, 2022, 10:32:52 am »
Buen día! Desde la UNPA estamos probando integrar el sistema SIU-kolla al sistema SIU-Huarpe, para ello estamos siguiendo la guía https://expedientes.siu.edu.ar/docs/kolla/. Nos encontramos en el paso de exportar las cuentas de kolla y cuando ejecutamos:

toba proyecto exportar_usuarios_arai -p kolla -f usuarios_kolla

Nos da el siguiente error:

PHP Fatal error:  Uncaught RuntimeException: JSON encoding failed: Malformed UTF-8 characters, possibly incorrectly encoded in /var/www/unpa/kolla471/vendor/siu/json-util/src/SIU/JsonUtil/JsonFile.php:218
Stack trace:
#0 /var/www/unpa/kolla471/vendor/siu/json-util/src/SIU/JsonUtil/JsonFile.php(163): SIU\JsonUtil\JsonFile::throwEncodeError()
#1 /var/www/unpa/kolla471/vendor/siu/json-util/src/SIU/JsonUtil/JsonFile.php(147): SIU\JsonUtil\JsonFile::encode()
#2 /var/www/unpa/kolla471/vendor/siu/arai-json-migrator/src/SIU/AraiJsonMigrator/AraiMigratorManager.php(76): SIU\JsonUtil\JsonFile->validateHashSchema()
#3 /var/www/unpa/kolla471/php/extension_toba/kolla_comando.php(131): SIU\AraiJsonMigrator\AraiMigratorManager->save()
#4 /var/www/unpa/kolla471/vendor/siu-toba/framework/php/consola/comandos/comando_proyecto.php(87): kolla_comando->opcion__exportar_usuarios_arai()
#5 /var/www/unpa/kolla471/vendor/siu-toba/framework/php/consola/comando.php(90): comando_proyecto->ejecutar_opcion()
#6 /var/www/unpa/kolla471/vendor/siu-toba/framew in /var/www/unpa/kolla471/vendor/siu/json-util/src/SIU/JsonUtil/JsonFile.php on line 218


Espero no puedan ayudar a ver donde esta el problema.
Saludos Fernando.
 

2
SIU - Huarpe / Cambio dominio Huarpe
« on: Septiembre 16, 2022, 10:58:11 am »
Buen día! desde la Unpa estamos probando la implementación de expediente electronico, tenemos instalado Huarpe, Documentos, Usuarios y Soduco en un entorno de prueba.
En este momento estamos probando el cambio de dominio de un despliegue existente, siguiendo la guía https://expedientes.siu.edu.ar/docs/guia-cambio-dominio/.
Hemos realizado todos los pasos correctamente y al momento de ingresar al nuevo dominio nos sale el siguiente error:

Fallo en conexión segura
Ocurrió un error al conectarse a huarpe-pas.unpa.edu.ar. El par informa que experimentó un error interno.
Código de error: SSL_ERROR_INTERNAL_ERROR_ALERT
La página que está tratando de ver no puede mostrarse porque la autenticidad de los datos recibidos no puede verificarse.
Contacte a los dueños del sitio para informarles de este problema.


mirando el log del contenedor de huarpe_webapp vemos el siguiente error:

httpd: Could not reliably determine the server's fully qualified domain name, using 10.0.6.4. Set the 'ServerName' directive globally to suppress this message

Esperemos que nos puedan orientar en cual puede ser el problema.

Saludos Fernando!

3
SIU-Kolla - Técnicos / Anonimización de base de datos
« on: Julio 14, 2022, 11:17:15 am »
Buen día!
Estoy probando anonimizar la base de datos del sistema Kolla, para ello estoy siguiendo la guía https://documentacion.siu.edu.ar/wiki/SIU-Kolla/Version_4.7.0/anonimizador y si bien ya instale el paquete libpq-dev. Ahora cuando ejecuto echo Hola | ./mask me da el siguiente error:
bash: ./mask: No existe el fichero o el directorio
Mi consulta es en que directorio tengo que estar parado para ejecutar el comando?

Saludos Fernando.

4
Buenas Tardes!
En la UNPA estamos probando la actualización del sistema kolla de la versión 4.5.1 a la 4.7.0. Ejecutando el proceso de actualización el mismo da un error y no se termina de ejecutar.
Mirando el archivo instalador.log vemos el siguiente error:

[2022-02-18 12:31:46] MAIN.INFO: [ TOBA ] Comienza el proceso de migracion de version 4.5.1 a 4.7.0
[2022-02-18 12:31:46] MAIN.INFO: [ TOBA ] Migrando a version 4.6.0   negocio__34796
[2022-02-18 12:31:46] MAIN.INFO: [ TOBA ] OK  negocio__33583
[2022-02-18 12:31:46] MAIN.INFO: [ TOBA ] OK
[2022-02-18 12:31:46] MAIN.INFO: [ TOBA ] Migrando a version 4.7.0   negocio__42128
[2022-02-18 12:31:47] MAIN.INFO: [ TOBA ] ERROR ejecutando SQL:   [CODIGO]: 7   [SQLSTATE]: db_23503    [MENSAJE]: ERROR:  inserci�n o actualizaci�n en la ta$
[2022-02-18 12:31:47] MAIN.INFO: [ TOBA ] ERROR ejecutando SQL:   [CODIGO]: 7   [SQLSTATE]: db_23503    [MENSAJE]: ERROR:  inserci�n o actualizaci�n en la ta$
[2022-02-18 12:31:47] MAIN.INFO: [ TOBA ] TIEMPO: 1,558 segundos
[2022-02-18 12:31:47] MAIN.ERROR:    ERROR ejecutando SQL:   [CODIGO]: 7   [SQLSTATE]: db_23503    [MENSAJE]: ERROR:  inserci�n o actualizaci�n en la tabla �$

Desde ya muchas gracias por su respuesta!
Saludos Fernando.

5
SIU-Kolla - Técnicos / Actualización Kolla vs 4.5.1 a 4.6.0
« on: Febrero 09, 2022, 12:18:58 pm »
Buenas, ya tenia un hilo abierto sobre este tema quizás debería continuar en el mismo pero esta bloqueado.
Después de terminar con la actualización y al acceder al sistema me surgió el siguiente mje:

Composer detected issues in your platform: Your Composer dependencies require a PHP version ">= 7.3.0".

En una instalación anterior me surgió el mismo error y me sugirieron instalar una versión del composer menor a la 2.

Saludos Fernando.

6
SIU-Kolla - Técnicos / Actualización Kolla vs 4.5.1 a 4.6.0
« on: Febrero 08, 2022, 02:23:03 pm »
Buenas Tardes!
Desde la Unpa estamos probando la actualización del sistema Kolla desde la versión 4.5.1 a la versión 4.6.0 y al momento de ejecutar:
composer install --no-dev, nos pide un usuario para gitlab.siu.edu.ar. Como puedo acceder a este usuario y password?

 - Installing siu/manejador-salida-bootstrap (v1.3.5):     Authentication required (gitlab.siu.edu.ar):
      Username:
Desde ya muchas gracias por su respuesta!

Saludos Fernando.

7
SIU-Kolla - Técnicos / Error_Actualización kolla v4.3.0 a v4.6.0
« on: Noviembre 17, 2021, 12:56:41 pm »
Buen día!
En la unpa estamos probando la actualización de una instancia de kolla en la versión 4.3.0 a la versión 4.6.0, realizamos la actualización correctamente, modificamos el virtualhost para acceder a la aplicación y al momento de ingresar no obtenemos respuesta.
Mirando el log de apache vemos la siguiente línea de error:

[Wed Nov 17 12:21:33.551961 2021] [mpm_prefork:notice] [pid 17672] AH00169: caught SIGTERM, shutting down
[Wed Nov 17 12:21:33.670229 2021] [ssl:warn] [pid 18920] AH01909: kolla-sga:443:0 server certificate does NOT include an ID which matches the server name
[Wed Nov 17 12:21:33.741022 2021] [ssl:warn] [pid 18921] AH01909: kolla-sga:443:0 server certificate does NOT include an ID which matches the server name
[Wed Nov 17 12:21:33.744465 2021] [mpm_prefork:notice] [pid 18921] AH00163: Apache/2.4.25 (Debian) OpenSSL/1.0.2u configured -- resuming normal operations
[Wed Nov 17 12:21:33.744513 2021] [core:notice] [pid 18921] AH00094: Command line: '/usr/sbin/apache2'
[Wed Nov 17 12:21:40.448209 2021] [:error] [pid 18922] [client 10.0.30.39:61909] PHP Parse error:  syntax error, unexpected ':', expecting '{' in /var/www/unpa/kolla460/vendor/symfony/polyfill-php80/bootstrap.php on line 23
[Wed Nov 17 12:21:43.583462 2021] [:error] [pid 18923] [client 10.0.30.39:61910] PHP Parse error:  syntax error, unexpected ':', expecting '{' in /var/www/unpa/kolla460/vendor/symfony/polyfill-php80/bootstrap.php on line 23
[Wed Nov 17 12:21:49.711515 2021] [:error] [pid 18924] [client 10.0.30.39:61912] PHP Parse error:  syntax error, unexpected ':', expecting '{' in /var/www/unpa/kolla460/vendor/symfony/polyfill-php80/bootstrap.php on line 23
[Wed Nov 17 12:22:09.863133 2021] [:error] [pid 18925] [client 10.0.30.39:61914] PHP Parse error:  syntax error, unexpected ':', expecting '{' in /var/www/unpa/kolla460/vendor/symfony/polyfill-php80/bootstrap.php on line 23
[Wed Nov 17 12:22:10.762596 2021] [:error] [pid 18926] [client 10.0.30.39:61915] PHP Parse error:  syntax error, unexpected ':', expecting '{' in /var/www/unpa/kolla460/vendor/symfony/polyfill-php80/bootstrap.php on line 23
[Wed Nov 17 12:22:11.238027 2021] [:error] [pid 18922] [client 10.0.30.39:61916] PHP Parse error:  syntax error, unexpected ':', expecting '{' in /var/www/unpa/kolla460/vendor/symfony/polyfill-php80/bootstrap.php on line 23

Adjunto el archivo de log de apache.
Saludos Fernando. 

8
SIU-Kolla - Técnicos / Error_Actualización kolla v4.2.1 a v4.5.1
« on: Agosto 25, 2021, 03:05:39 pm »
Buenas tardes!
En la UNPA estamos probando la actualización de kolla de la v4.2.1 a v4.5.1. El ambiente de prueba es Debian 9, PHP 7.3 y Postgres 13.
Después de realizar la actualización y darle los permisos de ejecución, modificamos el virtualhost generado para el sistema de la siguiente forma:

<VirtualHost *:80>
        ServerName cys-kollaPas.sistemas.unpa.edu.ar
        RewriteEngine on
        LogLevel warn
        RewriteCond %{SERVER_PORT} !^443$
        RewriteRule ^/(.*) https://%{SERVER_NAME}/$1 [L,R]
RewriteCond %{SERVER_NAME} =cys-kollaPas.sistemas.unpa.edu.ar
RewriteRule ^ https://%{SERVER_NAME}%{REQUEST_URI} [END,NE,R=permanent]
</VirtualHost>

<VirtualHost *:443>
        ServerName cys-kollaPas.sistemas.unpa.edu.ar
        ServerAdmin rys@unpa.edu.ar
        SSLEngine on
        DocumentRoot /var/pas/kolla_4.5.1/www/
        <Directory /var/pas/kolla_4.5.1/www/>
                DirectoryIndex inicial.php
                Options FollowSymLinks MultiViews
                AllowOverride All
                Order allow,deny
                allow from all
        </Directory>
                ErrorLog /var/log/apache2/error.log
LogLevel warn
        CustomLog /var/log/apache2/access.log combined
        ServerSignature Off
        include /var/pas/kolla_4.5.1/instalacion/toba.conf
        SSLCertificateFile /etc/letsencrypt/live/kolla.sistemas.unpa.edu.ar/fullchain.pem
SSLCertificateKeyFile /etc/letsencrypt/live/kolla.sistemas.unpa.edu.ar/privkey.pem
Include /etc/letsencrypt/options-ssl-apache.conf
</VirtualHost>

Cabe aclarar que solo hemos modificado las siguientes lineas del VH:

DocumentRoot /var/pas/kolla_4.5.1/www/
        <Directory /var/pas/kolla_4.5.1/www/>

include /var/pas/kolla_4.5.1/instalacion/toba.conf

y cuando queremos ingresar al sistema, nos sale el siguiente error:

Composer detected issues in your platform: Your Composer dependencies require a PHP version ">= 7.3.0".

Mirando las ultimas lineas del sistema.log se ve lo siguiente:

Fecha: 25-08-2021 12:51:05
Operacion: Autentificaci�n de Usuarios
Usuario: no_autentificado
Version-PHP: 7.1.30-1+0~20190531112744.19+jessie~1.gbpab9d28
Servidor: cys-kollapas.sistemas.unpa.edu.ar
URI: /pas/kolla/aplicacion.php?fs=1
Referrer: https://cys-kollapas.sistemas.unpa.edu.ar/pas/kolla/aplicacion.php?tm=1&tcm=central&ai=kolla||38000148
Host: 10.0.30.34
==========
[INFO][toba] Se detecto cambio de operaci�n. Se limpia la memoria de la operacion
[INFO][kolla] PUNTO MONTAJE: se carg� la clase extension_toba/kolla_usuario.php del punto de montaje proyecto. El path del mismo es /var/pas/kolla/aplicacion/php
[INFO][kolla] PUNTO MONTAJE: se carg� la clase operaciones/login/ci_login.php del punto de montaje proyecto. El path del mismo es /var/pas/kolla/aplicacion/php
[INFO][toba] componente(200000003): No hay se�ales de un servicio anterior, no se atrapan eventos
[INFO][toba] componente(200000003): [ callback ] 'conf__login' no fue atrapado
[INFO][kolla] PUNTO MONTAJE: se carg� la clase extension_toba/bootstrap/componentes/interfaz/bootstrap_formulario_login.php del punto de montaje proyecto. El path del $
-o-o-o-o-o-
Fecha: 25-08-2021 12:51:05
Operacion: Autentificaci�n de Usuarios
Usuario: no_autentificado
Version-PHP: 7.1.30-1+0~20190531112744.19+jessie~1.gbpab9d28
Servidor: cys-kollapas.sistemas.unpa.edu.ar
URI: /pas/kolla/aplicacion.php?ah=st612666e96ed716.04115721&ai=kolla%7C%7C200000004
Referrer: https://cys-kollapas.sistemas.unpa.edu.ar/pas/kolla/aplicacion.php?fs=1
Host: 10.0.30.34
==========
[INFO][kolla] PUNTO MONTAJE: se carg� la clase operaciones/login/ci_login.php del punto de montaje proyecto. El path del mismo es /var/pas/kolla/aplicacion/php
[INFO][toba] componente(200000003): No hay se�ales de un servicio anterior, no se atrapan eventos
[INFO][toba] componente(200000003): [ callback ] 'conf__login' no fue atrapado
[INFO][kolla] PUNTO MONTAJE: se carg� la clase extension_toba/bootstrap/componentes/interfaz/bootstrap_formulario_login.php del punto de montaje proyecto. El path del $

Espero me puedan ayudar.
Saludos Fernando Araya. UNPA.



9
Técnicos SIU-Pilagá / UNPA_Error al configurar Unidades Administrativas
« on: Octubre 13, 2020, 08:21:29 am »
Buenos dias, dado a que queremos hacer uso de los servicios web entre Pilaga y Diaguita, es por ello que nos encontramos configurando el sistema Pilaga para emplearlos.
Les comento que actualmente nosotros tenemos configurada la conexión entre Diaguita y Pilaga, para que Diaguita pueda consultar los preventivos y compromisos de Pilaga. Ahora queremos configurar para que Pilaga pueda consultar los documentos cargados en Diaguita, amortizaciones y garantias.
El tema es que una vez que realizamos la configuración, se nos presente el siguiente error al momento de intentar cargar las Oficinas de contratación, desde Administración->Configuración de Unidad de Gestión-> Solapa Oficina SIU-Diaguita:

cURL error 60: SSL certificate problem: certificate has expired (see https://curl.haxx.se/libcurl/c/libcurl-errors.html)

Adjunto archivo error.log de apache.

10
Araí - Usuarios / Problemas para navegar Arai Usuarios
« on: Agosto 26, 2020, 11:12:05 am »
Buen día!
Luego de desplegar el stack de Arai Usuarios e intentar nevegar a https://uunn.local/usuarios, en mi caso https://unpa.edu.ar/usuarios, No puedo navegar el proyecto.
Descarte que sea un problema de firewall.
¿Qué puedo mirar para saber qué está fallando?
Saludos. Fernando.

11
Araí - Usuarios / [SOLUCIONADO] Re:UNPA_Instalación cluster docker
« on: Agosto 14, 2020, 09:51:55 am »
Buen día!
Siguiendo la documentación https://expedientes.siu.edu.ar/docs/, estoy configurando las redes y traefik.
Pude ejecutar:
1) git clone https://hub.siu.edu.ar/siu/expedientes
2) sudo docker network create --driver=overlay traefik-public
Error "Error response from daemon: This node is not a swarm manager. Use "docker swarm init" or "docker swarm join" to connect this node to swarm and try again."
debemos ejecutar sudo docker swarm init
y luego sudo docker network create --driver=overlay traefik-public.
3) sudo docker network create --driver=overlay red-siu
Ahora en el paso que tengo que modificar el dominio base, ejecuto
sudo sed -i 's/unpa\.local/unpa.edu.ar/g' \
    traefik.le.yml \
    traefik.yml
desde el directorio /expedientes/prod/servicios/ (así me quedo a mí) y cuando miro los archivos traefik.le.yml o  traefik.yml no veo cambios, esto es correcto? debería ver cambios en estos archivos?
Saludos Fernando.

12
Estimados:
Estoy instalando a modo de prueba una instancia de Araí usuarios 3.0, ya pude instalar y configurar LDAP y ahora estoy preparando la estructura para postgres.
Al comenzar con esto me surge la siguiente duda:
Para poder realizar la creación de los esquemas de la base de datos, es necesario configurar unas variables de entorno para conectarse a PostgreSQL respectivamente. Ajustarlo a los parámetros requeridos.

echo \
"#configurar ENV temporal
DB_HOST=ip_pg_host
DB_PORT=5432
DB_DBNAME=user
DB_USERNAME=password
DB_PASSWORD=nada
DB_SCHEMA=usuarios
IDM_URL=http://nada
TOBA_USUARIO=nada
TOBA_PASSWORD=nada" > migrar.env
en las variables
DB_HOST=la ip del server donde esta instalado postgres?
DB_DBNAME=user, user es el nombre de la base o hay que configurar un ususario admin de postgres? y si fuera una base, se tiene que crear antes.
Bueno eso para empezar.

Saludos Fernando.

13
Estimados: Desde la Universidad Nacional de la Patagonia Austral estamos pensando en implementar Arai y comenzaremos por ver la instalación de Arai Usuarios. Participamos del webinar del sistema de expedientes electrónicos y pudimos acceder a la documentación de la instalación de este sistema.
En primera instancia, queríamos consultar si podemos comenzar viendo esta documentación o nos recomiendan mirar otra?

Saludos Fernando Araya.
PAS. UNPA.

14
Técnicos Pentaho / UNPA_Cubo Compras
« on: Abril 16, 2020, 11:16:47 am »
Buen día!!
Estamos verificando los datos importados a wichi del cubo compras y notamos que la información mostrada es excesiva:

Unidad de Análisis - CON-IMPORTE TOTAL
Rectorado 600,067,030,210
Unidad Académica Caleta Olivia 67,306,428,900
Unidad Académica Río Gallegos 215,002,841,218
Unidad Académica Río Turbio 9,640,790,000
Unidad Académica San Julian 32,924,199,000

Puede deberse a que los últimos tres dígitos sean decimales, pero cuando se muestran en el portal de transparencia se muestran de forma similar, por ejemplo:

Unidad Académica Caleta Olivia 67,306,428,900,00

A que se puede deber esto?
Saludos Fernando.

15
Estimados .. le consulto si existe la posibilidad de aumentar la cantidad de decimales en la carga de ofertas de los oferentes, ya que algunos proveeodres nos cotizan unitarios con precios de hasta cuatro digitos.

Saludos Fernando.

Páginas: [1] 2 3 4